package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsIcd;
import org.apache.ibatis.annotations.Select;

/**
 * icd编码库Mapper接口
 *
 * @author fs
 * @date 2024-04-22
 */
public interface FsIcdMapper
{
    /**
     * 查询icd编码库
     *
     * @param id icd编码库主键
     * @return icd编码库
     */
    public FsIcd selectFsIcdById(Long id);

    /**
     * 查询icd编码库列表
     *
     * @param fsIcd icd编码库
     * @return icd编码库集合
     */
    public List<FsIcd> selectFsIcdList(FsIcd fsIcd);

    /**
     * 新增icd编码库
     *
     * @param fsIcd icd编码库
     * @return 结果
     */
    public int insertFsIcd(FsIcd fsIcd);

    /**
     * 修改icd编码库
     *
     * @param fsIcd icd编码库
     * @return 结果
     */
    public int updateFsIcd(FsIcd fsIcd);

    /**
     * 删除icd编码库
     *
     * @param id icd编码库主键
     * @return 结果
     */
    public int deleteFsIcdById(Long id);

    /**
     * 批量删除icd编码库
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsIcdByIds(Long[] ids);
    @Select("SELECT * FROM fs_icd WHERE icd_name LIKE CONCAT('%', #{keyword}, '%') or icd_code LIKE CONCAT('%', #{keyword}, '%') limit 20")
    List<FsIcd> selectFsIcdByName(String name);
}
